Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class DelegatingStepMonitor

    java.lang.Object
      org.jbehave.core.steps.DelegatingStepMonitor

All Implemented Interfaces:
  StepMonitor

    public class DelegatingStepMonitor

extends Object
implements StepMonitor

Field Summary
`protected StepMonitor` | `delegate`

Constructor Summary
`DelegatingStepMonitor(StepMonitor delegate)`

Method Summary
`void` | `convertedValueOfType(String value, Type type, Object converted, Class<?> converterClass)`
`void` | `foundParameter(String parameter, int position)`
`void` | `performing(String step, boolean dryRun)`
`void` | `stepMatchesPattern(String step, boolean matches, StepPattern stepPattern, Method method, Object stepsInstance)`
`void` | `stepMatchesType(String stepAsString, String previousAsString, boolean matchesType, StepType stepType, Method method, Object stepsInstance)`
`void` | `usingAnnotatedNameForParameter(String name, int position)`
`void` | `usingNaturalOrderForParameter(int position)`
`void` | `usingParameterNameForParameter(String name, int position)`
`void` | `usingTableAnnotatedNameForParameter(String name, int position)`
`void` | `usingTableParameterNameForParameter(String name, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected final StepMonitor delegate

Constructor Detail

### DelegatingStepMonitor

    public DelegatingStepMonitor(StepMonitor delegate)

Method Detail

### convertedValueOfType

    public void convertedValueOfType(String value,
                                     Type type,
                                     Object converted,
                                     Class<?> converterClass)

  Specified by:
    `convertedValueOfType` in interface `StepMonitor`

### stepMatchesType

    public void stepMatchesType(String stepAsString,
                                String previousAsString,
                                boolean matchesType,
                                StepType stepType,
                                Method method,
                                Object stepsInstance)

  Specified by:
    `stepMatchesType` in interface `StepMonitor`

### stepMatchesPattern

    public void stepMatchesPattern(String step,
                                   boolean matches,
                                   StepPattern stepPattern,
                                   Method method,
                                   Object stepsInstance)

  Specified by:
    `stepMatchesPattern` in interface `StepMonitor`

### foundParameter

    public void foundParameter(String parameter,
                               int position)

  Specified by:
    `foundParameter` in interface `StepMonitor`

### performing

    public void performing(String step,
                           boolean dryRun)

  Specified by:
    `performing` in interface `StepMonitor`

### usingAnnotatedNameForParameter

    public void usingAnnotatedNameForParameter(String name,
                                               int position)

  Specified by:
    `usingAnnotatedNameForParameter` in interface `StepMonitor`

### usingNaturalOrderForParameter

    public void usingNaturalOrderForParameter(int position)

  Specified by:
    `usingNaturalOrderForParameter` in interface `StepMonitor`

### usingParameterNameForParameter

    public void usingParameterNameForParameter(String name,
                                               int position)

  Specified by:
    `usingParameterNameForParameter` in interface `StepMonitor`

### usingTableAnnotatedNameForParameter

    public void usingTableAnnotatedNameForParameter(String name,
                                                    int position)

  Specified by:
    `usingTableAnnotatedNameForParameter` in interface `StepMonitor`

### usingTableParameterNameForParameter

    public void usingTableParameterNameForParameter(String name,
                                                    int position)

  Specified by:
    `usingTableParameterNameForParameter` in interface `StepMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.